Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class VersionSeriesDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition
              oracle.ifs.beans.VersionSeriesDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class VersionSeriesDefinition

extends PublicObjectDefinition

The VersionSeriesDefinition class is used to construct a VersionSeries object. The default class for this definition is VERSIONSERIES

See Also:
  Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`VersionSeriesDefinition()` OBSOLETE: Construct a definition explicitly capturing the session.
`VersionSeriesDefinition(LibrarySessionInterface session)` Constructs a Definition explicitly capturing the session.
`VersionSeriesDefinition(LibrarySessionInterface session, java.lang.String className)` Constructs a Definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`FamilyDefinition` | `getFamilyDefinition()` Get the Family definition for the new PublicObject.
`boolean` | `getOwnerBasedOnPublicObjectOption()` This returns true if the Owner of this VersionSeries will be same as the owner of PublicObject that is associated with it.
`void` | `setFamilyDefinition(FamilyDefinition def)` Set the Family definition for the new PublicObject.
`void` | `setOwnerBasedOnPublicObjectOption(boolean value)` This option specifies whether the new VersionSeries should have the same owner as the PublicObject it is refering to.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getAddToFolderOption, getAddToFolderValue, getAutoFolderingActionSpecification, getCascadeCopyRelationshipsOption, getCascadeCopyRelationshipsOptionValue, getCategoryCopyOption, getCategoryDefinitions, getContentQuotaCopyOption, getCreateCategoriesServerSideOption, getExplicitCreateAndModifyAttributesOption, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifierOption, getKeepLastModifyDateOption, getLockEntryDefinition, getLockObject, getLockObjectDefinition, getLockObjectValue, getSecuringPublicObject, getSecuringPublicObjectValue, getUpdatedLockObjectDefinition, removeCategoryDefinitions, removeLockEntryDefinition, setAddToFolderOption, setAddToFolderValue, setAutoFolderingActionSpecification, setAutoFolderingActionSpecification, setCascadeCopyRelationshipsOption, setCategoryCopyOption, setCategoryDefinitions, setContentQuotaCopyOption, setCreateCategoriesServerSideOption, setExplicitCreateAndModifyAttributesOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifierOption, setKeepLastModifyDateOption, setLockEntryDefinition, setLockObject, setLockObjectDefinition, setLockObjectValue, setNullSecurity, setPrivateSecurity, setSecuringPublicObject, setSecuringPublicObjectValue, setUpdatedLockObjectDefinition, toPublicObjectDefinition, toPublicObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionSeriesDefinition

    public VersionSeriesDefinition()
                            throws IfsException

  OBSOLETE: Construct a definition explicitly capturing the session. The initial ClassObject will be VersionSeries.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### VersionSeriesDefinition

    public VersionSeriesDefinition(LibrarySessionInterface session)
                            throws IfsException

  Constructs a Definition explicitly capturing the session. The initial ClassObject will be VersionSeries.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### VersionSeriesDefinition

    public VersionSeriesDefinition(LibrarySessionInterface session,
                                   java.lang.String className)
                            throws IfsException

  Constructs a Definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setOwnerBasedOnPublicObjectOption

    public void setOwnerBasedOnPublicObjectOption(boolean value)
                                           throws IfsException

  Description copied from class: `VersionSeriesDefinition`
  This option specifies whether the new VersionSeries should have the same owner as the PublicObject it is refering to.

  Parameters:
    `value` - if true, owner is based on PublicObject.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getOwnerBasedOnPublicObjectOption

    public boolean getOwnerBasedOnPublicObjectOption()
                                              throws IfsException

  Description copied from class: `VersionSeriesDefinition`
  This returns true if the Owner of this VersionSeries will be same as the owner of PublicObject that is associated with it.

  Returns:
    true if the owner is based on PublicObject
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setFamilyDefinition

    public void setFamilyDefinition(FamilyDefinition def)
                             throws IfsException

  Description copied from class: `VersionSeriesDefinition`
  Set the Family definition for the new PublicObject. When creating a new Versioned object (from a VersionDescriptionDefinition), both a Family and a VersionSeries are also created. To specify attributes (such as sub-class) on the Family that will be created, you can specify a FamilyDefinition here. If you do not specify a Family Definition, a default one is created for you (when appropriate).

  Parameters:
    `def` - the Family definition for the new object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getFamilyDefinition

    public FamilyDefinition getFamilyDefinition()
                                         throws IfsException

  Description copied from class: `VersionSeriesDefinition`
  Get the Family definition for the new PublicObject. Return null if no value was specified.

  Returns:
    Family definition for the new object.
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD